]> jfr.im git - irc/evilnet/x3.git/blobdiff - configure
fixing some LOC ldap bugs, and adding ldap over SSL support
[irc/evilnet/x3.git] / configure
index e86126a7dd80c581cf8b9c7c98aa32102f744a9d..ec3e117de1ab5c67b82b0c3dff1ebfe2bdfa551d 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Id: configure.in 1899 2007-02-05 07:02:17Z rubin .
+# From configure.in Id: configure.in 1904 2007-02-06 06:47:18Z rubin .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.60 for X3 1.5.
 #
@@ -1315,6 +1315,7 @@ Optional Packages:
   --with-coredumper=PATH  Base path to where core dumper is installed, such
                           that PATH/lib/libcoredumper.so and
                           PATH/include/google/coredumper.h exist.
+  --with-ssl=PATH      Base path to where openssl is installed
   --with-ldap=PATH    Base path to where the ldap library and headers are installed,
                       such that PATH/include/ldap.h and PATH/lib/libldap.so exist.
 
@@ -9822,12 +9823,12 @@ fi
 if test "x$withval" != "x"; then
     { echo "$as_me:$LINENO: result: Using include dir $withval to find libtre" >&5
 echo "${ECHO_T}Using include dir $withval to find libtre" >&6; }
-    CPPFLAGS="-I$withval/include -L$withval/lib"
+    CPPFLAGS="$CPPFLAGS -I$withval/include -L$withval/lib"
     LIBS="$LIBS -L$withval/lib"
 else
     { echo "$as_me:$LINENO: result: Looking for tre in system and home dirs (${HOME})..." >&5
 echo "${ECHO_T}Looking for tre in system and home dirs (${HOME})..." >&6; }
-    CPPFLAGS="-I${HOME}/include -L${HOME}/lib"
+    CPPFLAGS="$CPPFLAGS -I${HOME}/include -L${HOME}/lib"
     LIBS="$LIBS -L${HOME}/lib"
 fi
 if test "${ac_cv_header_tre_regex_h+set}" = set; then
 if test "x$withval" != "x"; then
     { echo "$as_me:$LINENO: result: Using include dir $withval to find coredumper" >&5
 echo "${ECHO_T}Using include dir $withval to find coredumper" >&6; }
-    CPPFLAGS="-I$withval/include -L$withval/lib"
+    CPPFLAGS="$CPPFLAGS -I$withval/include -L$withval/lib"
     LIBS="$LIBS -L$withval/lib"
 else
     { echo "$as_me:$LINENO: result: Looking for coredumper in system and home dirs (${HOME})..." >&5
 echo "${ECHO_T}Looking for coredumper in system and home dirs (${HOME})..." >&6; }
-    CPPFLAGS="-I${HOME}/include -L${HOME}/lib"
+    CPPFLAGS="$CPPFLAGS -I${HOME}/include -L${HOME}/lib"
     LIBS="$LIBS -L${HOME}/lib"
 fi
 if test "${ac_cv_header_google_coredumper_h+set}" = set; then
@@ -10357,6 +10358,303 @@ echo "${ECHO_T}Coredumper library not found. Install coredumper, or use --with-c
 fi
 
 
+withval=''
+
+# Check whether --with-ssl was given.
+if test "${with_ssl+set}" = set; then
+  withval=$with_ssl;
+fi
+
+if test "x$withval" != "x"; then
+   { echo "$as_me:$LINENO: result: Using include dir $withval to find openssl" >&5
+echo "${ECHO_T}Using include dir $withval to find openssl" >&6; }
+   CPPFLAGS="$CPPFLAGS -I$withval/include -L$withval/lib"
+   LIBS="$LIBS -L$withval/lib"
+else
+   { echo "$as_me:$LINENO: result: Looking for openssl in system " >&5
+echo "${ECHO_T}Looking for openssl in system " >&6; }
+fi
+
+{ echo "$as_me:$LINENO: checking for BIO_new in -lssl" >&5
+echo $ECHO_N "checking for BIO_new in -lssl... $ECHO_C" >&6; }
+if test "${ac_cv_lib_ssl_BIO_new+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lssl  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char BIO_new ();
+int
+main ()
+{
+return BIO_new ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_ssl_BIO_new=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_lib_ssl_BIO_new=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_BIO_new" >&5
+echo "${ECHO_T}$ac_cv_lib_ssl_BIO_new" >&6; }
+if test $ac_cv_lib_ssl_BIO_new = yes; then
+
+LIBS="-lssl $LIBS"
+
+for ac_header in openssl/bio.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## -------------------------------------------------- ##
+## Report this to evilnet-devel@lists.sourceforge.net ##
+## -------------------------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define WITH_SSL 1
+_ACEOF
+
+ssl_message="LDAP library:        enabled"
+
+else
+
+if test "x$withval" != "x"; then
+   { { echo "$as_me:$LINENO: error: ssl headers not found" >&5
+echo "$as_me: error: ssl headers not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+fi
+
+done
+
+
+else
+
+if test "x$withval" != "x"; then
+   { { echo "$as_me:$LINENO: error: libldap not found or not valid" >&5
+echo "$as_me: error: libldap not found or not valid" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+fi
+
+{ echo "$as_me:$LINENO: result: $LIBS" >&5
+echo "${ECHO_T}$LIBS" >&6; }
+
+
 withval=''
 
 # Check whether --with-ldap was given.
@@ -10374,9 +10672,9 @@ else
 echo "${ECHO_T}Looking for ldap in system " >&6; }
 fi
 
-{ echo "$as_me:$LINENO: checking for ldap_init in -lldap" >&5
-echo $ECHO_N "checking for ldap_init in -lldap... $ECHO_C" >&6; }
-if test "${ac_cv_lib_ldap_ldap_init+set}" = set; then
+{ echo "$as_me:$LINENO: checking for ldap_simple_bind_s in -lldap" >&5
+echo $ECHO_N "checking for ldap_simple_bind_s in -lldap... $ECHO_C" >&6; }
+if test "${ac_cv_lib_ldap_ldap_simple_bind_s+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
@@ -10394,11 +10692,11 @@ cat >>conftest.$ac_ext <<_ACEOF
 #ifdef __cplusplus
 extern "C"
 #endif
-char ldap_init ();
+char ldap_simple_bind_s ();
 int
 main ()
 {
-return ldap_init ();
+return ldap_simple_bind_s ();
   ;
   return 0;
 }
@@ -10437,22 +10735,23 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_ldap_ldap_init=yes
+  ac_cv_lib_ldap_ldap_simple_bind_s=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_lib_ldap_ldap_init=no
+       ac_cv_lib_ldap_ldap_simple_bind_s=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_ldap_ldap_init" >&5
-echo "${ECHO_T}$ac_cv_lib_ldap_ldap_init" >&6; }
-if test $ac_cv_lib_ldap_ldap_init = yes; then
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_ldap_ldap_simple_bind_s" >&5
+echo "${ECHO_T}$ac_cv_lib_ldap_ldap_simple_bind_s" >&6; }
+if test $ac_cv_lib_ldap_ldap_simple_bind_s = yes; then
 
+LIBS="-lldap $LIBS"
 
 for ac_header in ldap.h
 do
@@ -10627,7 +10926,7 @@ ldap_message="LDAP library:       enabled"
 
 else
 
-if "x$withval" != "x"; then
+if test "x$withval" != "x"; then
    { { echo "$as_me:$LINENO: error: ldap.h not found" >&5
 echo "$as_me: error: ldap.h not found" >&2;}
    { (exit 1); exit 1; }; }
@@ -10640,7 +10939,7 @@ done
 
 else
 
-if "x$withval" != "x"; then
+if test "x$withval" != "x"; then
    { { echo "$as_me:$LINENO: error: libldap not found or not valid" >&5
 echo "$as_me: error: libldap not found or not valid" >&2;}
    { (exit 1); exit 1; }; }
@@ -10649,6 +10948,8 @@ fi
 
 fi
 
+{ echo "$as_me:$LINENO: result: $LIBS" >&5
+echo "${ECHO_T}$LIBS" >&6; }
 
 
 cat >>confdefs.h <<_ACEOF